# Sentinel-proxy manual tests

This directory contains naive tools - input generator, output capture and run
scripts for overall not yet automated testing of Proxy.
All the necessary TLS keys and certificates can be generated by running:
```
make gen-test-certs
```
in top-level project directory.

Proxy serves as a data gateway passing messages from ZMQ over MQTT to Sentinel 
server infrastructure. Natural way to test it is to generate input data and
observe the outgoing data. `input_generator` and `output_capture` serves for
that. `mosquitto` - MQTT broker is needed as MQTT clients (Proxy and
`output_capture`) needs the broker for relaying the data between them.

## Dependencies
- sentinel-proxy
- Python
- [mosquitto](https://mosquitto.org/)
- openssl - for TLS keys and certificate generation by `make`


## Running and configuration

Run the scripts in following order:

```
./run_mosquitto.sh
./run_out_capture.sh
./run_proxy.sh
./run_input_generator.sh
```

To modify testing configuration edit `mosquitto.conf` or run scripts directly.

You can run multiple instances of `input_generator` and `output_capture`.
`input_generator` generates by default messages under topic based on shell PID
in which the script is running. `output_capture` is by default configured to
subscribe to all MQTT topics generated by Proxy.

*NOTE*: For observing of Sentinel heartbeat messages coming out of Proxy is
convenient to compile it with short heartbeat timeout. Change
SENTINEL_HEARTBEAT_TIMEOUT macro in `proxy/proxy_mqtt.c`

*NOTE*: Common Name used is server - MQTT broker certificate MUST
match server passed to Proxy. You can manipulate `/etc/hosts` file so that
passed server name is resolved to real IP address of MQTT broker - usually
`localhost`.
